Imalka

Hi

I have developed a Windows CE application. I did it in Visual Studio 2005. When I try to develop it in an actual device it gives an error saying that incompatible OSs. What can I do for that

Imalka




Re: .NET Compact Framework Compact Framework Applications

Christopher Fairbairn

Hi Imalka,

Can you explain your situation in a little more depth (such as the percise error message, and what you are doing at the time it is being displayed), since there could be a number of reasons why this is occurring.

If your application is a native application (which by the sounds of it, it is not) you can get an error messag when you attempt to launch your application about it being invalid. In this case it is typically because your application has a missing file (dll) which it depends upon in order to load.

If your application is a managed application (which by the sounds of it, it is) and you are installing via a cab file you may get an error about an incompatible OS when you attempt to install your application depending upon which type of device you selected when you created your initial project (and what SDKs you have installed).

Newer devices have newer versions of the Windows Mobile operating system, and one of the settings you can set within a cab file is the maximum and minimum operating system versions the CAB file should support. Can you tell us what type of device you are attempting to run your application on (and which operating system version it uses)

If you open up your Smart Device Cab project within Visual Studio and open up the Properties window you should see two properties "OSVersionMin" and "OSVersionMax". These equate to Windows CE operating system versions. Your cab file will only install on devices which use versions of the OS between these two values. If you attempt to install the CAB file on a device outside of this range you will get an "incompatible OS" error message during attempts to install.

Could this be your problem

Hope it helps,

Christopher Fairbairn






Re: .NET Compact Framework Compact Framework Applications

Imalka

Hi Christopher

Thank u very much for your detail response . Currently I don't have the device with me. So I can't tell u the exact error msg. It's PSION 7525 (WORKABOUT PRO). It has Windows CE 4.2. Is there any way which I can contact u

Thanks

Imalka